## m2l-pyqt 1.1

=== src/Makefile ===
UI_SOURCES = $(shell ls *.ui)
UI_PYTHON  = $(patsubst %.ui, Ui_%.py, $(UI_SOURCES))

Ui_%.py : %.ui
	pyuic4 $< > $@

all: $(UI_PYTHON)

clean:
	rm -rf *~ __pycache__ $(UI_PYTHON)

install: all
	mkdir -p $(DESTDIR)/usr/bin/
	install -m755 mediawiki2latex-pyqt $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/usr/share/mediawiki2latex
	install -m644 *.py $(DESTDIR)/usr/share/mediawiki2latex

.PHONY: all clean install

=== debian/changelog ===
m2l-pyqt (1.1-1) unstable; urgency=low

  * Initial release (Closes: #748868)

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 May 2014 21:53:47 +0200

## m2l-pyqt 1.2

=== src/Makefile ===
--- 
+++ 
@@ -5,15 +5,18 @@
 	pyuic4 $< > $@
 
 all: $(UI_PYTHON)
+	make -C lang $@
 
 clean:
 	rm -rf *~ __pycache__ $(UI_PYTHON)
+	make -C lang $@
 
 install: all
 	mkdir -p $(DESTDIR)/usr/bin/
 	install -m755 mediawiki2latex-pyqt $(DESTDIR)/usr/bin/
 	mkdir -p $(DESTDIR)/usr/share/mediawiki2latex
 	install -m644 *.py $(DESTDIR)/usr/share/mediawiki2latex
+	make -C lang $@
 
 .PHONY: all clean install

=== src/lang/Makefile ===
DESTDIR =
SOURCES = $(shell ls ../*.py) ../mediawiki2latex-pyqt
TSFILES = $(shell ls translations/*.ts)
QMFILES = $(patsubst translations/%.ts, translations/%.qm, $(TSFILES))
LANG = $(patsubst translations/mediawiki2latex-gui-%.ts, %, $(TSFILES))

all: $(QMFILES)

translations/%.qm : translations/%.ts
	lrelease $< -qm $@

$(TSFILES): $(SOURCES)
	pylupdate4 -verbose translation.pro


clean:
	rm -rf *~ $(QMFILES)

install: all
	install -d $(DESTDIR)/usr/share/mediawiki2latex/translations
	for l in $(QMFILES); do \
	  install-m 644 $$l $(DESTDIR)/usr/share/mediawiki2latex/translations ;\
	done

.PHONY: all clean install

=== debian/changelog ===
m2l-pyqt (1.2-1) unstable; urgency=medium

  * upgraded to the newest upstream version, adds i18n and French l10n support.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 28 Sep 2014 18:38:25 +0200

=== debian/control ===
Source: m2l-pyqt
Section: x11
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9.0.0), python3-all, python-qt4-dev, libqt4-dev,
 pyqt4-dev-tools
X-Python3-Version: >= 3.2
Standards-Version: 3.9.5
Homepage: https://sourceforge.net/projects/mediawiki2latexguipyqt/

Package: mediawiki2latexguipyqt
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, mediawiki2latex,
 iceweasel|www-browser
Description: lightweight GUI for mediawiki2latex
 This Graphic User Interface allows you to begin using mediawiki2latex most
 easily. Mediawiki2latex provides the user with a simple way of
 turning a page hosted on a server running MediaWiki into a high quality
 PDF output. The GUI runs mediawikitolatex and displays its standard and error
 outputs in separate graphic tabs, while maintaining a reliable progress bar.

## m2l-pyqt 1.3

=== src/Makefile ===
DESTDIR =
UI_SOURCES = $(shell ls *.ui)
UI_PYTHON  = $(patsubst %.ui, Ui_%.py, $(UI_SOURCES))

Ui_%.py : %.ui
	pyuic4 $< > $@

all: $(UI_PYTHON)
	make -C lang $@ DESTDIR="$(DESTDIR)"

clean:
	rm -rf *~ __pycache__ $(UI_PYTHON)
	make -C lang $@ DESTDIR="$(DESTDIR)"

install: all
	mkdir -p $(DESTDIR)/usr/bin/
	install -m755 mediawiki2latex-pyqt $(DESTDIR)/usr/bin/
	mkdir -p $(DESTDIR)/usr/share/mediawiki2latex
	install -m644 *.py $(DESTDIR)/usr/share/mediawiki2latex
	make -C lang $@ DESTDIR="$(DESTDIR)"

.PHONY: all clean install

=== debian/changelog ===
m2l-pyqt (1.3-2) unstable; urgency=medium

  * upgraded Standards-Version: 3.9.8
  * added a dependency on python3-pyqt4

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Oct 2016 19:18:21 +0200

m2l-pyqt (1.3-1) unstable; urgency=medium

  * upgraded to the newest upstream version
  * upgraded: Standards-Version: 3.9.7; X-Python3-Version: >= 3.4

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 23 Apr 2016 18:46:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 9.0.0), python3-all, python-qt4-dev, libqt4-dev,
  pyqt4-dev-tools
-X-Python3-Version: >= 3.2
-Standards-Version: 3.9.5
+X-Python3-Version: >= 3.4
+Standards-Version: 3.9.8
 Homepage: https://sourceforge.net/projects/mediawiki2latexguipyqt/
 
 Package: mediawiki2latexguipyqt
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, mediawiki2latex,
+ python3-pyqt4,
  iceweasel|www-browser
 Description: lightweight GUI for mediawiki2latex
  This Graphic User Interface allows you to begin using mediawiki2latex most

## m2l-pyqt 1.5

=== src/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 UI_PYTHON  = $(patsubst %.ui, Ui_%.py, $(UI_SOURCES))
 
 Ui_%.py : %.ui
-	pyuic4 $< > $@
+	pyuic5 $< > $@
 
 all: $(UI_PYTHON)
 	make -C lang $@ DESTDIR="$(DESTDIR)"

=== debian/changelog ===
m2l-pyqt (1.5-1) unstable; urgency=medium

  * New upstream release. Closes: #875046
  * updated Standards-Version and dependencies
  * patched src/lang/Makefile to take qt5 in account

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Sep 2017 13:04:35 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: x11
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 9.0.0), python3-all, python-qt4-dev, libqt4-dev,
- pyqt4-dev-tools
+Build-Depends: debhelper (>= 9.0.0), python3-all, python3-pyqt5,
+ pyqt5-dev-tools, qttools5-dev-tools
 X-Python3-Version: >= 3.4
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://sourceforge.net/projects/mediawiki2latexguipyqt/
 
 Package: mediawiki2latexguipyqt
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, mediawiki2latex,
- python3-pyqt4,
- iceweasel|www-browser
+ python3-pyqt5,
+ firefox-esr|iceweasel|www-browser
 Description: lightweight GUI for mediawiki2latex
  This Graphic User Interface allows you to begin using mediawiki2latex most
  easily. Mediawiki2latex provides the user with a simple way of

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DESTDIR = debian/mediawiki2latexguipyqt
%:
	dh $@ --with python3

## m2l-pyqt 1.6

=== src/lang/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 translations/%.qm : translations/%.ts
 	lrelease $< -qm $@
 
-$(TSFILES): $(SOURCES)
+$(TSFILES): $(SOURCES) translation.pro
 	pylupdate4 -verbose translation.pro
 
 
@@ -19,7 +19,7 @@
 install: all
 	install -d $(DESTDIR)/usr/share/mediawiki2latex/translations
 	for l in $(QMFILES); do \
-	  install-m 644 $$l $(DESTDIR)/usr/share/mediawiki2latex/translations ;\
+	  install -m 644 $$l $(DESTDIR)/usr/share/mediawiki2latex/translations ;\
 	done
 
 .PHONY: all clean install

=== debian/changelog ===
m2l-pyqt (1.6-3) unstable; urgency=medium

  * added Vcs stuff
  * added a build-dependency on dh-python. Closes: #950060.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 03 Feb 2020 19:11:15 +0100

m2l-pyqt (1.6-2) unstable; urgency=medium

  * This revision is just to make a source upload

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 02 Oct 2019 17:02:11 +0200

m2l-pyqt (1.6-1) unstable; urgency=medium

  * New upstream release. Closes: #932342
  * updated Standards-Version and dh level

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 20 Jul 2019 17:04:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: x11
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 9.0.0), python3-all, python3-pyqt5,
- pyqt5-dev-tools, qttools5-dev-tools
+Build-Depends: debhelper (>= 11), python3-all, python3-pyqt5,
+ pyqt5-dev-tools, qttools5-dev-tools, dh-python
 X-Python3-Version: >= 3.4
-Standards-Version: 4.1.0
+Standards-Version: 4.4.0
 Homepage: https://sourceforge.net/projects/mediawiki2latexguipyqt/
+Vcs-Browser: https://salsa.debian.org/georgesk/m2l-pyqt
+Vcs-Git: https://salsa.debian.org/georgesk/m2l-pyqt.git
 
 Package: mediawiki2latexguipyqt
 Architecture: all

## m2l-pyqt 1.7

=== debian/changelog ===
m2l-pyqt (1.7-1) unstable; urgency=medium

  * fixed a syntax error, thanks to Dirk Hünniger
  * upgraded X-Python3-Version: >= 3.7

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 01 May 2020 19:33:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 11), python3-all, python3-pyqt5,
  pyqt5-dev-tools, qttools5-dev-tools, dh-python
-X-Python3-Version: >= 3.4
+X-Python3-Version: >= 3.7
 Standards-Version: 4.4.0
 Homepage: https://sourceforge.net/projects/mediawiki2latexguipyqt/
 Vcs-Browser: https://salsa.debian.org/georgesk/m2l-pyqt

## m2l-pyqt 1.8

=== debian/changelog ===
m2l-pyqt (1.8-1) unstable; urgency=medium

  * new upstream version : fix an issue with obsolete conversion from
    float to int
  * upgrades: debhelper-compat (=13), Standards-Version: 4.5.1

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 20 Feb 2021 15:48:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: x11
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 11), python3-all, python3-pyqt5,
+Build-Depends: debhelper-compat (=13), python3-all, python3-pyqt5,
  pyqt5-dev-tools, qttools5-dev-tools, dh-python
 X-Python3-Version: >= 3.7
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://sourceforge.net/projects/mediawiki2latexguipyqt/
 Vcs-Browser: https://salsa.debian.org/georgesk/m2l-pyqt
 Vcs-Git: https://salsa.debian.org/georgesk/m2l-pyqt.git

=== debian/watch ===
version=3
http://sf.net/mediawiki2latexguipyqt/mediawiki2latexguipyqt-(.+)\.tar\.gz

## m2l-pyqt 1.8.1

=== debian/changelog ===
m2l-pyqt (1.8.1-1) unstable; urgency=medium

  * new upstream version
  * downgraded the dependency on firefox-esr to a recommendation.
  * Bumped Standards-Version: 4.6.1

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Nov 2022 09:37:51 +0100

## m2l-pyqt 1.8.2

=== debian/changelog ===
m2l-pyqt (1.8.2-1) unstable; urgency=medium

  * new upstream version with updated translations. Closes: #1048374

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 12 Nov 2023 18:11:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,27 @@
 Section: x11
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper-compat (=13), python3-all, python3-pyqt5,
- pyqt5-dev-tools, qttools5-dev-tools, dh-python
+Build-Depends:
+ debhelper-compat (=13),
+ python3-all,
+ python3-pyqt5,
+ pyqt5-dev-tools,
+ qttools5-dev-tools,
+ dh-python
 X-Python3-Version: >= 3.7
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://sourceforge.net/projects/mediawiki2latexguipyqt/
 Vcs-Browser: https://salsa.debian.org/georgesk/m2l-pyqt
 Vcs-Git: https://salsa.debian.org/georgesk/m2l-pyqt.git
 
 Package: mediawiki2latexguipyqt
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, mediawiki2latex,
- python3-pyqt5,
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ mediawiki2latex,
+ python3-pyqt5
+Recommends:
  firefox-esr|iceweasel|www-browser
 Description: lightweight GUI for mediawiki2latex
  This Graphic User Interface allows you to begin using mediawiki2latex most

## m2l-pyqt 1.9

=== Makefile ===
SOURCES = $(ls src/mediawiki2latex-pyqt)
PREFIX ?= /usr
BINDIR = $(PREFIX)/bin
SHAREDIR = $(PREFIX)/share
MANDIR = $(SHAREDIR)/man
MAN1DIR = $(MANDIR)/man1
DESTDIR =
SUBDIRS = src

all: docs
	for d in $(SUBDIRS); do make -C $$d $@ DESTDIR=$(DESTDIR); done

docs: mediawiki2latex-pyqt.1.gz

mediawiki2latex-pyqt.1.gz: mediawiki2latex-pyqt.1
	@gzip -c $< > $@

mediawiki2latex-pyqt.1: mediawiki2latex-pyqt.1.in
	@sed "s/MEDIAWIKI2LATEXPYQTVERSION/$(VERSION)/" $< > $@

clean:
	rm -f *~ mediawiki2latex-pyqt.1.gz
	for d in $(SUBDIRS); do make -C $$d $@ DESTDIR=$(DESTDIR); done

install: all
	install -dm755 "$(DESTDIR)$(MAN1DIR)"
	install -m644 mediawiki2latex-pyqt.1.gz "$(DESTDIR)$(MAN1DIR)"
	for d in $(SUBDIRS); do make -C $$d $@ DESTDIR=$(DESTDIR); done

.PHONY: all clean install

=== src/lang/Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 all: $(QMFILES)
 
 translations/%.qm : translations/%.ts
-	lrelease $< -qm $@
+	lrelease -qt5 $< -qm $@
 
 $(TSFILES): $(SOURCES) translation.pro
-	pylupdate4 -verbose translation.pro
+	pylupdate5 -verbose translation.pro
 
 
 clean:

=== debian/changelog ===
m2l-pyqt (1.9-1) unstable; urgency=medium

  * added an icon
  * updated the translation
  * New upstream version 1.9

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 Aug 2025 10:58:17 +0200
